## zfs-linux 0.8.2

=== debian/changelog ===
zfs-linux (0.8.2-2~mx19+1) mx; urgency=medium

  * Rebuild for MX 19.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 06 Oct 2019 12:46:57 -0700

zfs-linux (0.8.2-2) unstable; urgency=medium

  [ Antonio Russo ]
  * relocate zgenhostid and zvol_wait from /usr/bin to /sbin
  * Remove a patch implicated in data corruption (related to
    linux-5.0-simd-compat.patch)

  [ Mo Zhou ]
  * Collect symbol updates from buildd/ppa for non-x86 archs.

 -- Mo Zhou <cdluminate@gmail.com>  Sat, 28 Sep 2019 03:09:51 +0000

zfs-linux (0.8.2-1) unstable; urgency=medium

  * New upstream version 0.8.2 (Closes: #941019)
  * Deprecate control.in and use ${linux:Recommends} for the dynamic part.
  * French debconf templates translation by Julien Patriarca (Closes: #934631)
  * Remove merged patches:
     - 2000-increase-default-zcmd-allocation-to-256K.patch
     - git_fix_mount_race.patch
  * Disable linux-5.0-simd-compat.patch due to its incorrect assumption that
    may lead to system instability when SIMD is enabled. (Closes: #940932) 
    See also https://github.com/zfsonlinux/zfs/issues/9346
  * Install new service that waits on zvol links to be created (gh#8975).
  * Remove unused control variable ${python3:Depends} for zfsutils-linux.
  * Track symbols for lib{nvpair1,uutil1,zfs2,zpool2}.
  * lintian: Override source: excessive-debhelper-overrides
  * lintian: Remove unused overrides for zfs-test.

 -- Mo Zhou <cdluminate@gmail.com>  Fri, 27 Sep 2019 12:35:34 +0800

zfs-linux (0.8.1-4) unstable; urgency=medium

  [ Didier Roche ]
  * Cherry-pick commit to fix a race condition when canmount=off
    (LP: #1837717) (synced from 0.8.1-1ubuntu8).

  [ Fabian Grünbichler ]
  * cherry-pick compat fix for CONFIG_X86_DEBUG_FPU (Closes: #934282)

  [ Mo Zhou ]
  * Drop lib{attr,selinux}1-dev from B-D; add lib{aio,udev,elf}-dev to B-D.
    (LP: #1837544) (See https://github.com/zfsonlinux/zfs/issues/9036)

 -- Mo Zhou <cdluminate@gmail.com>  Sat, 10 Aug 2019 04:23:33 +0000

zfs-linux (0.8.1-3) unstable; urgency=medium

  [ Aron Xu ]
  * Install fakeroot for some autopkgtest cases
  * Make binary module packages builds parallel
  * control: fix typo in zfs-test short description

  [ Mo Zhou ]
  * Patch: force verbose output from libtool.
  * Override false posive lintian errors and several warnings.
  * Bump Standards-Version to 4.4.0 (no change).
  * Cherry-pick e5db313 to fix the linux-SIMD compatibility.
  * Apply wrap-and-sort.
  * Upload to unstable.

 -- Mo Zhou <cdluminate@gmail.com>  Mon, 22 Jul 2019 08:49:44 +0000

zfs-linux (0.8.1-2) experimental; urgency=medium

  [ Colin Ian King ]
  * Ensure libc6-dev or libc-dev is installed when building zfs-dkms.
  * Ensure any previous ZFS/SPL modules are removed before loading
    new ZFS/SPL modules to ensure correct drivers are being tested.
    Changes in debian/tests/kernel-smoke-test
  * Fix timeout issue in LXD: 3100-remove-libzfs-module-timeout.patch

  [ Mo Zhou ]
  * Cherry-pick patches from ubuntu diff: 0.8.1-1ubuntu5 .
  * Skip autopkgtest: dkms/modules tests for Ubuntu.
  * Avoid lintian warning by using explicit await trigger.
  * Override more lintian warnings.
  * Remove insserv confliction as the circular depends has been fixed;
    libpython3-stdlib (<< 3.6.4) ships distutils. (Closes: #931515)

 -- Mo Zhou <cdluminate@gmail.com>  Tue, 09 Jul 2019 07:29:27 +0000
