## zfs-linux 0.8.3

=== debian/changelog ===
zfs-linux (0.8.3-1ubuntu12) focal; urgency=medium

  [ Jean-Baptiste Lallement ]
  [ Didier Roche ]
  * debian/patches/4100-disable-bpool-upgrade.patch:
    - On ubuntu, upgrade of bpool is disabled to prevent users to break their
      system by upgrading to features not supported by GRUB. (LP: #1847389)

 -- Jean-Baptiste Lallement <jean-baptiste.lallement@ubuntu.com>  Tue, 14 Apr 2020 11:14:33 +0200

zfs-linux (0.8.3-1ubuntu11) focal; urgency=medium

  * Fix generator not detecting zsys on boot, messing up ZFS datasets on first
    boot.

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 02 Apr 2020 12:35:22 +0200

zfs-linux (0.8.3-1ubuntu10) focal; urgency=medium

  [ Jean-Baptiste Lallement ]
  [ Didier Roche ]
  * Make debian/patches/4000-zsys-support.patch more robust in case of
    corruption and faster:
    - Don’t call out zsys if the system hasn’t changed compared to its cache.
      This drastically speed up boot by some seconds.
    - Drop into emergency mode with some error message in dmesg with the
      failing command output in case some errors happen during revert.
      Prevents thus booting which would have screwed over root partition by
      creating a /boot non empty directory (like /boot/grub) in mounting over.
      Let now user still boot without reverting to be able to fix the issue.
    - Base what we import on cache file so that in the future (once grub is
      fixed) booting with multiple rpool and bpool. (LP: #1867007)
  * debian/patches/4500-fix-generator-invalid-cache.patch:
    - Removed, not needed anymore with previous patch enhancement.

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 30 Mar 2020 17:05:32 +0200

zfs-linux (0.8.3-1ubuntu9) focal; urgency=medium

  * debian/patches/4000-zsys-support.patch:
    - Fix import of external pools by preserving original cache file on zpool
      detection imports (LP: #1850130)

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 27 Mar 2020 14:56:47 +0100

zfs-linux (0.8.3-1ubuntu8) focal; urgency=medium

  * Add 5.5 low-latency compat fixe (LP: #1866730)
    - Apply backported upstream zfs fix for Linux 5.5 compat fix
    - 2fcab8795c7c ("Linux 5.5 compat: blkg_tryget()")

 -- Colin Ian King <colin.king@canonical.com>  Tue, 10 Mar 2020 09:52:11 +0000

zfs-linux (0.8.3-1ubuntu7) focal; urgency=medium

  * Start zfs-mount.service after zfs-load-module.service, and if zfs
    module was actually loaded. This should allow installation of probert
    in containers, which pull in zfs-linux utilities.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 05 Mar 2020 16:25:36 +0000

zfs-linux (0.8.3-1ubuntu6) focal; urgency=medium

  * Add 5.6 compat fixes (LP: #1863136)
    - Backport 4 upstream zfs fixes that allow zfs to build on Linux 5.6:
    - 2c3a83701dd1 ("Linux 5.6 compat: time_t")
    - 0dd73648532e ("Linux 5.6 compat: struct proc_ops")
    - 795699a6cc28 ("Linux 5.6 compat: timestamp_truncate()")
    - ff5587d65137 ("Linux 5.6 compat: ktime_get_raw_ts64()")

 -- Colin Ian King <colin.king@canonical.com>  Fri, 28 Feb 2020 13:55:15 +0000

zfs-linux (0.8.3-1ubuntu5) focal; urgency=medium

  * debian/patches/4000-zsys-support.patch:
    Handle special syntax on zsys autosnapshot, while still being compatible
    with manually snapshots taken by users.

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 26 Feb 2020 14:50:05 +0100

zfs-linux (0.8.3-1ubuntu4) focal; urgency=medium

  * debian/patches/4000-zsys-support.patch:
    - use new zsysd command instead of eoan-based zsys
  * debian/patches/4500-fix-generator-invalid-cache.patch:
    - refresh

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 25 Feb 2020 17:02:07 +0100

zfs-linux (0.8.3-1ubuntu3) focal; urgency=medium

  * Relax zfsutils-linux Breaks on zfs-dksm (LP: #1862101)
    - we're a bit more flexible than the current breaks rule, so relax
      it

 -- Colin Ian King <colin.king@canonical.com>  Thu, 6 Feb 2020 08:51:22 +0000

zfs-linux (0.8.3-1ubuntu2) focal; urgency=medium

  * Remove 4703-Enable-SIMD-for-encryption.patch
    - this already exists in a squished patch in 0.8.3 and
      the inclusion breaks z390 and ppc64el encryption, so
      remove it.

 -- Colin Ian King <colin.king@canonical.com>  Fri, 31 Jan 2020 16:37:23 +0000

zfs-linux (0.8.3-1ubuntu1) focal; urgency=medium

  * Sync with debian 0.8.3-1
  * Ubuntu specific changes:
    - drop dkms tests in debian/tests/control
    - Add lib/systemd/system/zfs-load-module.service to debian/zfsutils-linux.install
    - debian/control*: Drop all zfs-modules deps, as our 64-bit kernels all
      provide the modules, and we already didn't depend on them on 32-bit.
    - Restrict zfs-modules deps to 64-bit arches only to avoid zfs-dkms in main.

 -- Colin Ian King <colin.king@canonical.com>  Wed, 29 Jan 2020 10:12:11 +0000

zfs-linux (0.8.3-1) unstable; urgency=medium

  * New upstream version 0.8.3
  * Remove the seven upstreamed/cherry-picked patches.
  * Mark zfs-import.service as not-installed.
  * Refresh symbol control files.
  * Add NEWS entry about SIMD and parallel KABI checks.

 -- Mo Zhou <lumin@debian.org>  Sat, 25 Jan 2020 15:58:35 +0800

zfs-linux (0.8.2-5) unstable; urgency=medium

  * Remove old+unused SIMD patches; Move the openrc patch to "unapplied" dir.
  * Correct zpool scrubing oneliner in crontab. (Closes: #946748)
    Thanks to Dirk Heinrichs. Reviewed by Richard Laager.
  * Cherry-pick: fix-automount-for-root-filesystems.patch (Closes: #945585)
  * Add patch headers to patches without them.
  * Override a series of lintian Info.
  * Bump Standards-Version to 4.4.1 (no change).
  * Update my mail address in control and copyright.

 -- Mo Zhou <lumin@debian.org>  Tue, 21 Jan 2020 20:39:26 +0800

zfs-linux (0.8.2-4) unstable; urgency=medium

  [ Colin Ian King ]
  * etc-defaults-zfs-notice.patch: fix "unexpected end of diff".

  [ Steve Langasek ]
  * initramfs: setup keymapping and video for prompts. (LP: #1856408)

  [ Heitor Alves de Siqueira ]

