## zfs-linux 0.8.4

=== debian/changelog ===
zfs-linux (0.8.4-1ubuntu11.3) groovy; urgency=medium

  * Improve scrub testing in kernel-smoke-test-scrub (LP: #1934910)
    On some slower small memory systems we need to check until resilvering
    has completed. The most reliably method is to poll on a scrub until
    it finishes successfully. Give up after ~15 minutes and flag a failure
    if the scrub can't start or complete successfully.

 -- Colin Ian King <colin.king@canonical.com>  Thu, 8 Jul 2021 08:51:21 +0100

zfs-linux (0.8.4-1ubuntu11.2) groovy; urgency=medium

  * Fix race condition in zfs_iput_async (LP: #1916486)
    - Upstream ZFS fix 43eaef6de817 ("Fix zrele race in zrele_async that can
      cause hang")

 -- Heitor Alves de Siqueira <halves@canonical.com>  Thu, 25 Feb 2021 19:53:32 +0000

zfs-linux (0.8.4-1ubuntu11.1) groovy; urgency=medium

  [ Didier Roche ]
  [ Jean-Baptiste Lallement ]
  * Generate clone uuid without dd which is flagged as having an executable
    stack. Thanks Usarin Heininga for the patch (LP: #1894329)

  [ Andrea Righi ]
  * fix potential user-space double free when running "zfs mount -a"
    (LP: #1902588)
    - 4702-Revert-Let-zfs-mount-all-tolerate-in-progress-mounts.patch

 -- Colin Ian King <colin.king@canonical.com>  Mon, 30 Nov 2020 19:00:00 +0000

zfs-linux (0.8.4-1ubuntu11) groovy; urgency=medium

  * Fix zfs-dkms build on arm64 with PREEMPTION and BLK_CGROUP (LP: #1892001)
    - 4700-Fix-DKMS-build-on-arm64-with-PREEMPTION-and-BLK_CGRO.patch
      preempt_schedule_notrace is GPL-only so redfine it to preempt_schedule
      on arm64 with PREEMPTION and BLK_CGROUP enabled to 'fix' the DKMS
      build failure.

 -- Juerg Haefliger <juergh@canonical.com>  Tue, 18 Aug 2020 11:10:41 +0200

zfs-linux (0.8.4-1ubuntu10) groovy; urgency=medium

  * Fix volume wait on locked encrypted zvols (LP: #1888405)
    [ James Dingwall ]
    - 4620-zfs-vol-wait-fix-locked-encrypted-vols.patch
      zfs-volume-wait.service systemd unit does not start if the encrypted
      zvol is locked. The /sbin/zvol_wait should not wait for links when the
      volume has property keystatus=unavailable. Add a check for this.

 -- Colin Ian King <colin.king@canonical.com>  Wed, 22 Jul 2020 09:58:22 +0100

zfs-linux (0.8.4-1ubuntu9) groovy; urgency=medium

   [ Colin Ian King ]
   * Add risc-v 64 bit support, requires implementing risc-v setjmp/longjmp
     and adding some relevant #defines
     - 4521-enable-risc-v-isa.patch
   * Disable HTML doc generation because of a Sphinx regression
     between version 2.4.3-2 and 2.4.3-4 (see Debian bug 962276)

 -- Colin Ian King <colin.king@canonical.com>  Tue, 21 Jul 2020 10:01:10 +0100

zfs-linux (0.8.4-1ubuntu8) groovy; urgency=medium

   [ Didier Roche ]
   [ Jean-Baptiste Lallement ]
   * debian/patches/4000-mount-encrypted-dataset-fix.patch:
     - Upstreamable patch (under PR) for making keystore encryption or direct
       ZFS encryption closer, and make the service chain more robust.
   * debian/patches/4000-zsys-support.patch:
     - Reupdate with latest version of code, which was reverted erroneously
       to a previous version during debian merge.
     - Align PROPS generated cache to zed list cacher properties.
     - Add keystore encryption support.
  * debian/patches/4500-fix-generator-invalid-cache.patch:
    - Removed again, was removed before focal release, but has been
      erroneously restored during debian merge.
  * debian/patches/git_fix_dependency_loop_encryption2.patch:
    - Refreshed

 -- Jean-Baptiste Lallement <jean-baptiste.lallement@ubuntu.com>  Fri, 19 Jun 2020 16:17:05 +0200

zfs-linux (0.8.4-1ubuntu7) groovy; urgency=medium

  * debian/patches/4520-Linux-5.8-compat-__vmalloc.patch
    - Add Linux 5.8 compat fix

 -- Colin Ian King <colin.king@canonical.com>  Thu, 18 Jun 2020 14:40:22 +0100

zfs-linux (0.8.4-1ubuntu6) groovy; urgency=medium

  * debian/patches/4000-zsys-support.patch:
    - Fix boot on non encrypted system when cryptsetup-initramfs isn’t
      installed (LP: #1882975)

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 11 Jun 2020 08:17:14 +0200

zfs-linux (0.8.4-1ubuntu5) groovy; urgency=medium

  [ Jean-Baptiste Lallement ]
  [ Didier Roche ]
  * debian/patches/4000-zsys-support.patch:
    - Readd ZSys support erroneously dropped during previous debian merge.
    - Add external Luks store encryption support.
  * debian/patches/git_fix_dependency_loop_encryption{1,2}.patch:
    - Backport upstream patches (PR accepted, not merged yet) fixing a
      dependency loop when encryption via Luks (like swap) is enabled.
      (LP: #1875577)

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 10 Jun 2020 10:48:19 +0200

zfs-linux (0.8.4-1ubuntu4) groovy; urgency=medium

  * Don't report errors if modprobe fails (LP: #1880421)
    - loading ZFS modules on zfs-utils installation is a nice
      to have feature, but don't throw an error if modules are
      not available to load

 -- Colin Ian King <colin.king@canonical.com>  Thu, 4 Jun 2020 13:54:54 +0100

zfs-linux (0.8.4-1ubuntu3) groovy; urgency=medium

  * Debian/tests: Move control.ubuntu to control
    - kernel ADT tests handle the driver side of testing so just
      use the standard smoke tests

 -- Colin Ian King <colin.king@canonical.com>  Tue, 2 Jun 2020 10:56:52 +0100

zfs-linux (0.8.4-1ubuntu2) groovy; urgency=medium

  * Remove zfs-dkms depedencies for Ubuntu as these are
    built into the kernel

 -- Colin Ian King <colin.king@canonical.com>  Mon, 1 Jun 2020 22:57:23 +0100

zfs-linux (0.8.4-1ubuntu1) groovy; urgency=medium

  * Sync with debian 0.8.4-1
  * Ubuntu specific changes:
    - copy over 0.8.3 Ubuntu changes to 0.8.4
    - drop debian tests in debian/tests/control
    - wiggle zsys patches to apply cleanly:
      4000-zsys-support.patch
      4500-fix-generator-invalid-cache.patch

 -- Colin Ian King <colin.king@canonical.com>  Mon, 1 Jun 2020 10:20:51 +0100

zfs-linux (0.8.4-1) unstable; urgency=medium

  [ Antonio Russo ]
  * Let zfs-test use installed python3

