=== debian/rules ===
--- 
+++ 
@@ -31,7 +31,7 @@
 NJOBS    = -j$(or $(PARALLEL),$(NUM_CPUS),1)
 
 %:
-	dh $@ --with autoreconf,dkms,python3,systemd,sphinxdoc
+	dh $@ --with autoreconf,dkms,python3,sphinxdoc
 
 override_dh_autoreconf:
 	@# Embed the downstream version in the module.
@@ -53,6 +53,7 @@
 	  --with-zfsexecdir=/usr/lib/zfs-linux \
 	  --enable-systemd \
 	  --enable-pyzfs \
+	  --with-python=python3 \
 	  --with-systemdunitdir=/lib/systemd/system \
 	  --with-systemdpresetdir=/lib/systemd/system-preset \
 	  --with-systemdgeneratordir=/lib/systemd/system-generators \
@@ -181,9 +182,14 @@
 
 override_dh_installdocs:
 	dh_installdocs
-ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
-	http_proxy='127.0.0.1:9' $(SPHINX_BUILD) -N -bhtml "$(CURDIR)/contrib/pyzfs/docs/source/" debian/pyzfs-doc/usr/share/doc/pyzfs-doc/html/
-endif
+#
+#  Temporarily disable html doc generation because
+#  a regression caused by sphinx between version 2.4.3-2 and 2.4.3-4.
+#  See debian bug #962276
+#
+#ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
+#	http_proxy='127.0.0.1:9' $(SPHINX_BUILD) -N -bhtml "$(CURDIR)/contrib/pyzfs/docs/source/" debian/pyzfs-doc/usr/share/doc/pyzfs-doc/html/
+#endif
 
 # ------------
 
@@ -197,10 +203,3 @@
 
 override_dh_configure_modules_udeb: override_dh_configure_modules_udeb_stamp
 override_dh_configure_modules_udeb_stamp:
-	./configure \
-		--without-selinux \
-		--with-config=kernel \
-		--with-linux=$(KSRC) \
-		--with-linux-obj=$(KOBJ)
-	touch override_dh_configure_modules_udeb_stamp
-
